Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud DNS
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Move
        • Delete
        • GetRecordSet
        • ListRecordSets
        • UpdateRecordSets
        • UpsertRecordSets
        • ListOperations
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
        • UpdatePrivateNetworks
  • Monitoring metrics
  • Audit Trails events
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  1. API reference
  2. REST
  3. DnsZone
  4. GetRecordSet

Cloud DNS API, REST: DnsZone.GetRecordSet

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response

Returns the specified record set.

HTTP requestHTTP request

GET https://dns.api.cloud.yandex.net/dns/v1/zones/{dnsZoneId}:getRecordSet

Path parametersPath parameters

Field

Description

dnsZoneId

string

Required field. ID of the DNS zone to get record set from.
To get a DNS zone ID, make a DnsZoneService.List request.

The maximum string length in characters is 255.

Query parametersQuery parameters

Field

Description

name

string

Required field. Name of the record set.

The maximum string length in characters is 255.

type

string

Required field. Type of the record set.

The maximum string length in characters is 10.

ResponseResponse

HTTP Code: 200 - OK

{
  "name": "string",
  "type": "string",
  "ttl": "string",
  "data": [
    "string"
  ],
  "description": "string"
}

A record set. For details about the concept, see Resource record.

Field

Description

name

string

Domain name.

The string length in characters must be 1-254.

type

string

Record type.

The string length in characters must be 1-20.

ttl

string (int64)

Time to live in seconds.

Acceptable values are 0 to 2147483647, inclusive.

data[]

string

Data of the record set.

The string length in characters for each value must be 1-1024. The number of elements must be in the range 1-100.

description

string

Description of the record set.

Was the article helpful?

Previous
Delete
Next
ListRecordSets
© 2026 Direct Cursus Technology L.L.C.